Offers: Call Flow: Answers

A single keypress option within an IVR menu, defining what happens when a caller presses that key.

GET /call_router_answers

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/call_router_answers

List Answer records.

List the Answers configured for your Call Flows (IVRs), which map a caller keypress to tokens and filters.

Params

Param name Description
ids
Optional

Return records matching these ids.

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • name
  • context_menu_name
  • company_id
  • call_router_answer_group_id
  • key_press
  • sortable_order
  • description
  • outgoing_webhook_ids
  • record_token_filter_id
  • record_token_filter_data_count
  • record_token_filter_data
  • record_token_additional_id
  • record_token_additional_data_count
  • record_token_additional_data
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

GET /call_router_answers/new

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/call_router_answers/new

Build Answer with defaults.

Return a blank Call Flow Answer populated with default attribute values, useful for building a create form.

Params

Param name Description
call_router_answer_group_id
Optional Blank value allowed

Answer Group

  • Must be a String

key_press
Optional Blank value allowed

Key Press

  • Must be a String

record_token_filter_id
Optional Blank value allowed

Filters

token_value_ids
Optional Blank value allowed

This answer will only be used for calls matching these tokens.

  • Must be a decimal number.

record_token_additional_id
Optional Blank value allowed

Additional Tokens

  • Must be a String

attribution_token_value_ids
Optional Blank value allowed

These extra tokens will be applied to calls that use this answer.

  • Must be a decimal number.

description
Optional Blank value allowed

Description

  • Must be a String

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
record_token_additional_list
Optional Blank value allowed

Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.

  • Must be a valid list of tokens. Example tokens:
    buyer_interest:loan,another_token:value

POST /call_router_answers

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/call_router_answers

Create Answer.

Create an Answer for a Call Flow answer group, tied to a specific keypress. The answer can be restricted to calls matching certain tokens, and can apply extra attribution tokens when it is used.

Params

Param name Description
call_router_answer_group_id
Optional Blank value allowed

Answer Group

  • Must be a String

key_press
Optional Blank value allowed

Key Press

  • Must be a String

record_token_filter_id
Optional Blank value allowed

Filters

token_value_ids
Optional Blank value allowed

This answer will only be used for calls matching these tokens.

  • Must be a decimal number.

record_token_additional_id
Optional Blank value allowed

Additional Tokens

  • Must be a String

attribution_token_value_ids
Optional Blank value allowed

These extra tokens will be applied to calls that use this answer.

  • Must be a decimal number.

description
Optional Blank value allowed

Description

  • Must be a String

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
record_token_additional_list
Optional Blank value allowed

Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.

  • Must be a valid list of tokens. Example tokens:
    buyer_interest:loan,another_token:value

GET /call_router_answers/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/call_router_answers/:id

Get Answer by id.

Get the details of a single Call Flow Answer by id.

PUT /call_router_answers/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/call_router_answers/:id

Update Answer by id.

Update the keypress, filters, or tokens applied by an existing Call Flow Answer.

Params

Param name Description
call_router_answer_group_id
Optional Blank value allowed

Answer Group

  • Must be a String

key_press
Optional Blank value allowed

Key Press

  • Must be a String

record_token_filter_id
Optional Blank value allowed

Filters

token_value_ids
Optional Blank value allowed

This answer will only be used for calls matching these tokens.

  • Must be a decimal number.

record_token_additional_id
Optional Blank value allowed

Additional Tokens

  • Must be a String

attribution_token_value_ids
Optional Blank value allowed

These extra tokens will be applied to calls that use this answer.

  • Must be a decimal number.

description
Optional Blank value allowed

Description

  • Must be a String

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
record_token_additional_list
Optional Blank value allowed

Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.

  • Must be a valid list of tokens. Example tokens:
    buyer_interest:loan,another_token:value

DELETE /call_router_answers/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/call_router_answers/:id

Destroy Answer by id.

Permanently delete a Call Flow Answer.